Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 622270 - Review Request: elementary-icon-theme - icons from the Elementary Project
Review Request: elementary-icon-theme - icons from the Elementary Project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 693375 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 10:27 EDT by Tajidin Abdullah
Modified: 2011-04-05 19:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 14:33:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tajidin Abdullah 2010-08-08 10:27:07 EDT
Spec URL: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme.spec
SRPM URL: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme-2.4-1.fc13.src.rpm
Description: Icon theme set From Elementary Project

This is my first package I will be needing a sponsor
Comment 1 Tajidin Abdullah 2010-08-08 10:30:05 EDT
Also like to include a link to successful koji build with the srpm 

https://koji.fedoraproject.org/koji/taskinfo?taskID=2388159
Comment 2 Mamoru TASAKA 2010-08-08 12:49:23 EDT
(Removing NEEDSPONSOR)
Comment 3 Tajidin Abdullah 2010-08-08 17:39:51 EDT
Made corrections to intial submission due to scriplets omission and tarname macro. However having problem with documentation

Spec Url: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme.spec

Srpm Url: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme-2.4-2.fc13.src.rpm

successful koji scratch
http://koji.fedoraproject.org/koji/taskinfo?taskID=2388541
Comment 4 Tajidin Abdullah 2010-08-09 15:22:40 EDT
made more corrections to the spec file cleaned a few issues in regards to the prep and clarified issue with the version number

also still looking for guidance about the %doc i know in fedora documentation is needed. but i couldnt get it to build with the documentation. any help on this issue thank you 

spec url: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme.spec

srpm url: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme-2.4-3.fc13.src.rpm
Comment 5 Germán Racca 2010-08-09 23:50:12 EDT
Add the following line:

%doc elementary/{AUTHORS,CONTRIBUTORS,COPYING}

(not tested!)

Regards,
Germán.
Comment 6 Tajidin Abdullah 2010-08-10 04:15:04 EDT
waiting for response from upstream in regards to changing name of source package to reflect version number. 

yes that tip did work German thanks for that.
Comment 7 Mamoru TASAKA 2010-08-16 15:47:31 EDT
Some notes:

* License tag
  - From elementary-monochrome/AUTHORS:
---------------------------------------------------
     8  This package is licensed under GNU General Public License version 2.
---------------------------------------------------
    From elementary/AUTHORS:
---------------------------------------------------
     8  This package is licensed under GNU General Public License version 2.
---------------------------------------------------
    Therefore the license tag should be "GPLv2".

* Timestamps
  - Please use "cp -a" instead of "cp -R" to keep timestamps on installed
    files as much as possible:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

* Documentation
  - I think
---------------------------------------------------
elementary-monochrome/AUTHORS
elementary-monochrome/COPYING
elementary/AUTHORS
elementary/CONTRIBUTORS
elementary/COPYING
---------------------------------------------------
    should also be installed as %doc and be installed under %_defaultdocdir.
    The example would be
---------------------------------------------------
At %prep:
mkdir -p doc/elementary{,-monochrome}
cp -p elementary-monochrome/[A-Z]* doc/elementary-monochrome/
cp -p elementary/[A-Z]* doc/elementary/

And at %files:
%doc doc/*
---------------------------------------------------
Comment 8 Tajidin Abdullah 2010-08-17 05:15:36 EDT
made changes to spec accordingly with the license, timestamps, and documentation 


spec URL: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme.spec

srpm URL: http://tajidinabd.fedorapeople.org/elementary-icon-theme/elementary-icon-theme-2.4-5.fc13.src.rpm


thanks for the review
Comment 9 Mamoru TASAKA 2010-08-17 13:14:48 EDT
For -5:

* Directory ownership issue
  - Now the following directories (themselves) are not owned by any packages
----------------------------------------------------------
%{_datadir}/icons/elementary/
%{_datadir}/icons/elementary-monochrome/
----------------------------------------------------------
    These directories should be owned by this rpm. Please refer
    to
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Wildcarding_Files_inside_a_Created_Directory
Comment 11 Mamoru TASAKA 2010-08-17 14:45:24 EDT
Okay.

------------------------------------------------------------------
   This package (elementary-icon-theme) is APPROVED by mtasaka
------------------------------------------------------------------
Comment 12 Tajidin Abdullah 2010-08-18 05:40:19 EDT
New Package SCM Request
=======================
Package Name: elementary-icon-theme
Short Description: icons from the Elementary Project
Owners: tajidinabd
Branches: f12 f13 f14
InitialCC:
Comment 13 Kevin Fenzi 2010-08-18 17:16:37 EDT
Git done (by process-git-requests).
Comment 14 Mamoru TASAKA 2010-08-25 14:33:19 EDT
Closing.
Comment 15 Thomas Moschny 2011-04-05 19:04:14 EDT
*** Bug 693375 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.